Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1623 - kill -HUP `cat /var/run/httpsd.pid` aggrevates memory leak
Summary: kill -HUP `cat /var/run/httpsd.pid` aggrevates memory leak
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Secure Web Server
Classification: Retired
Component: mod_perl
Version: 2.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-19 06:56 UTC by cdent
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 04:46:11 UTC


Attachments (Terms of Use)

Description cdent 1999-03-19 06:56:08 UTC
It appears that the mod_perl shipped with secureweb
has a memory leak when configured as a DSO that can
be demostrated on a server that has the mod_perl
module included but doesn't actually call any perl
by hupping the server while watching the process
size. The mod_perl version grows considerably faster
than the non-mod_perl version.

I've tried a few different combinations:

perl 5004_01, perl 5004_04, mod_perl 1.16, 1.16_02,
1.18

This is all with redhat 4.2

I've read that it may be better to make mod_perl not
be a DSO but have it in the binary instead. Some of
the folks on the mod_perl list claim that helps.
This is inconvenient for you folks but perhaps you
would consider shipping the rpm either with two
binaries or in two flavors?

Comment 1 Preston Brown 1999-05-17 14:17:59 UTC
mod_perl 1.19 still has this memory leak.  I am discussing things with
the developers.

Comment 2 jacob 1999-08-03 19:03:59 UTC
I'm seeing major problems with busy servers without using mod_perl,
too.  My httpsd processes are growing to over 50 megs total size
pretty quickly if they see significant load.

The one test server I had with mod_perl included grew to over 150 megs
without any load at all.  Any progress on this?

Comment 3 Preston Brown 2000-01-13 04:46:59 UTC
the concensus among mod_perl people seems to be to restart the server
periodically in a cron job if you are experiencing memory leaks.  While the
problem may be fixed in a better way down the road, this is the current
solution, and while sub-optimal, it works.


Note You need to log in before you can comment on or make changes to this bug.